#! /bin/sh

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

[ -r /lib/systemd/system/poed.service ] || {

    [ -r /usr/share/cumulus-platform/common/poed.service ] || {
        log_failure_msg "/usr/share/cumulus-platform/common/poed.service not found."
        exit 1
    }
    cp /usr/share/cumulus-platform/common/poed.service /lib/systemd/system/
    systemctl -q enable poed.service
    systemctl -q --no-block start poed.service
}
exit 0
